Part Circle: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 40: Line 40:
# Select three vertices in the [[3D_view|3D view]]. There is no need to hold down the {{KEY|Ctrl}} key.
# Select three vertices in the [[3D_view|3D view]]. There is no need to hold down the {{KEY|Ctrl}} key.
# A circle is created.
# A circle is created.
# The {{PropertyData|Radius}} and {{PropertyData|Placement}} of the circle are derives from the selected vertices. But the created circle does not contain a reference to the selected vertices.
# The selected vertices are only used at creation time to calculate the {{PropertyData|Radius}} and {{PropertyData|Placement}} of the circle. They are not stored in its properties.


== Example ==
== Example ==

Revision as of 11:14, 2 March 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Circle

Menu location
Part → Create primitives → Circle
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A Part Circle is a parametric shape that can be created with the Part Primitives command. In the coordinate system defined by its DataPlacement property, the circle lies on the XY plane with its center at the origin.

A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its DataAngle1 and/or DataAngle2 properties.

Usage

See Part Primitives.

A Part Circle can alternatively be defined by selecting three points:

  1. In the task panel of the Part Primitives command press the From three points button.
  2. Select three vertices in the 3D view. There is no need to hold down the Ctrl key.
  3. A circle is created.
  4. The selected vertices are only used at creation time to calculate the DataRadius and DataPlacement of the circle. They are not stored in its properties.

Example

Part Circle from the scripting example

A Part Circle object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Circle object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Base

  • DataRadius (Length): The radius of the curved edge (arc or circle)
  • DataAngle1 (Angle)}: Start of the curved edge, (degrees counter-clockwise), the default value is 0°
  • DataAngle2 (Angle)}: End of the curved edge, (degrees counter-clockwise), the default value is 360°

Scripting

A Part Circle is created with the addObject() method of the document.

circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
  • Where myCircle is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

circle.Label = "new myCircleName"

You can access and modify attributes of the circle object. For example, you may wish to modify the radius or the two angle parameters.

circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225

The result will be a 45 degree rotated semicircle with a radius of 10.

You can change its placement and orientation with:

circle.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(30, 45, 10))